> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# update a user

> Updates a user, provided the authorized user is in the same tenant as that user



## OpenAPI

````yaml https://us-west-2.api.thenile.dev/v2/openapi put /v2/databases/{database}/tenants/{tenantId}/users/{userId}
openapi: 3.0.0
info:
  title: Nile auth API
  version: '0.1'
servers: []
security: []
tags: []
paths:
  /v2/databases/{database}/tenants/{tenantId}/users/{userId}:
    put:
      tags:
        - users
      summary: update a user
      description: >-
        Updates a user, provided the authorized user is in the same tenant as
        that user
      operationId: updateTenantUser
      parameters:
        - name: database
          in: path
          required: true
          schema:
            type: string
        - name: userId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUser'
      responses:
        '200':
          description: Identified user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantUser'
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not found
          content: {}
      security:
        - sessionCookie: []
components:
  schemas:
    UpdateUser:
      type: object
      properties:
        name:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        picture:
          type: string
    TenantUser:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        name:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        picture:
          type: string
        created:
          type: string
          format: date-time
        emailVerified:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: nile-auth.session-token
      description: >-
        Session token stored in a cookie after user signs in, prefixed with
        __Secure if on https

````